Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## peak.can.basic
Enum TPCANParameterValue

    java.lang.Object
      java.lang.Enum<TPCANParameterValue>
          peak.can.basic.TPCANParameterValue

All Implemented Interfaces:
  java.io.Serializable, java.lang.Comparable<TPCANParameterValue>

    public enum TPCANParameterValue

extends java.lang.Enum<TPCANParameterValue>

Parameter values definition

Enum Constant Summary
`LOG_FUNCTION_DEFAULT` Logs system exceptions / errors
`LOG_FUNCTION_ENTRY` Logs the entries to the PCAN-Basic API functions
`LOG_FUNCTION_LEAVE` Logs the exits from the PCAN-Basic API functions
`LOG_FUNCTION_PARAMETERS` Logs the parameters passed to the PCAN-Basic API functions
`LOG_FUNCTION_READ` Logs the CAN messages received within the CAN_Read function
`LOG_FUNCTION_WRITE` Logs the CAN messages passed to the CAN_Write function
`PCAN_CHANNEL_AVAILABLE` The PCAN-Channel handle is valid to connect/initialize
`PCAN_CHANNEL_ILLEGAL` The PCAN-Channel handle is illegal
`PCAN_CHANNEL_OCCUPIED` The PCAN-Channel handle is valid, but is already being used
`PCAN_CHANNEL_UNOCCUPIED` The PCAN-Channel handle is valid and ready for use (Plug & Play hardware only)
`PCAN_FILTER_CLOSE` The PCAN filter is closed.
`PCAN_FILTER_CUSTOM` The PCAN filter is custom configured.
`PCAN_FILTER_OPEN` The PCAN filter is fully opened.
`PCAN_PARAMETER_OFF` The PCAN parameter is not set (inactive)
`PCAN_PARAMETER_ON` The PCAN parameter is set (active)

Method Summary
`int` | `getValue()`
`static TPCANParameterValue` | `parseCondition(int value)` Parses a int value into the TPCANParameterValue PCAN_CHANNEL_AVAILABLE, PCAN_CHANNEL_ILLEGAL, PCAN_CHANNEL_OCCUPIED or PCAN_CHANNEL_UNOCCUPIED
`static TPCANParameterValue` | `parseFilterStatus(int value)` Parses a int value into the TPCANParameterValue PCAN_FILTER_CLOSE, PCAN_FILTER_OPEN or PCAN_FILTER_CUSTOM.
`static TPCANParameterValue` | `parseOnOff(int value)` Parses a int value into the TPCANParameterValue PCAN_PARAMETER_ON or PCAN_PARAMETER_OFF
`static TPCANParameterValue` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
`static TPCANParameterValue[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### PCAN_PARAMETER_OFF

    public static final TPCANParameterValue PCAN_PARAMETER_OFF

  The PCAN parameter is not set (inactive)

### PCAN_PARAMETER_ON

    public static final TPCANParameterValue PCAN_PARAMETER_ON

  The PCAN parameter is set (active)

### PCAN_FILTER_CLOSE

    public static final TPCANParameterValue PCAN_FILTER_CLOSE

  The PCAN filter is closed. No messages will be received

### PCAN_FILTER_OPEN

    public static final TPCANParameterValue PCAN_FILTER_OPEN

  The PCAN filter is fully opened. All messages will be received

### PCAN_FILTER_CUSTOM

    public static final TPCANParameterValue PCAN_FILTER_CUSTOM

  The PCAN filter is custom configured. Only registered messages will be received

### PCAN_CHANNEL_ILLEGAL

    public static final TPCANParameterValue PCAN_CHANNEL_ILLEGAL

  The PCAN-Channel handle is illegal

### PCAN_CHANNEL_AVAILABLE

    public static final TPCANParameterValue PCAN_CHANNEL_AVAILABLE

  The PCAN-Channel handle is valid to connect/initialize

### PCAN_CHANNEL_OCCUPIED

    public static final TPCANParameterValue PCAN_CHANNEL_OCCUPIED

  The PCAN-Channel handle is valid, but is already being used

### PCAN_CHANNEL_UNOCCUPIED

    public static final TPCANParameterValue PCAN_CHANNEL_UNOCCUPIED

  The PCAN-Channel handle is valid and ready for use (Plug & Play hardware only)

### LOG_FUNCTION_DEFAULT

    public static final TPCANParameterValue LOG_FUNCTION_DEFAULT

  Logs system exceptions / errors

### LOG_FUNCTION_ENTRY

    public static final TPCANParameterValue LOG_FUNCTION_ENTRY

  Logs the entries to the PCAN-Basic API functions

### LOG_FUNCTION_PARAMETERS

    public static final TPCANParameterValue LOG_FUNCTION_PARAMETERS

  Logs the parameters passed to the PCAN-Basic API functions

### LOG_FUNCTION_LEAVE

    public static final TPCANParameterValue LOG_FUNCTION_LEAVE

  Logs the exits from the PCAN-Basic API functions

### LOG_FUNCTION_WRITE

    public static final TPCANParameterValue LOG_FUNCTION_WRITE

  Logs the CAN messages passed to the CAN_Write function

### LOG_FUNCTION_READ

    public static final TPCANParameterValue LOG_FUNCTION_READ

  Logs the CAN messages received within the CAN_Read function

Method Detail

### values

    public static TPCANParameterValue[] values()

  Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

      for (TPCANParameterValue c : TPCANParameterValue.values())
          System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they are declared

### valueOf

    public static TPCANParameterValue valueOf(java.lang.String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
    `java.lang.NullPointerException` - if the argument is null

### getValue

    public int getValue()

### parseOnOff

    public static TPCANParameterValue parseOnOff(int value)

  Parses a int value into the TPCANParameterValue PCAN_PARAMETER_ON or PCAN_PARAMETER_OFF

  Parameters:
    `value` - parsed value
  Returns:
    Corresponding TPCANParameterValue

### parseCondition

    public static TPCANParameterValue parseCondition(int value)

  Parses a int value into the TPCANParameterValue PCAN_CHANNEL_AVAILABLE, PCAN_CHANNEL_ILLEGAL, PCAN_CHANNEL_OCCUPIED or PCAN_CHANNEL_UNOCCUPIED

  Parameters:
    `value` - parsed value
  Returns:
    Corresponding TPCANParameterValue

### parseFilterStatus

    public static TPCANParameterValue parseFilterStatus(int value)

  Parses a int value into the TPCANParameterValue PCAN_FILTER_CLOSE, PCAN_FILTER_OPEN or PCAN_FILTER_CUSTOM.

  Parameters:
    `value` - parsed value
  Returns:
    Corresponding TPCANParameterValue

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD